Index: cpukit/ChangeLog
===================================================================
--- cpukit/ChangeLog	(revision 46d0bc16c6b5f243985d03defd42e6f148227745)
+++ cpukit/ChangeLog	(revision 9c94f544aacecca30be525d6afc2e1dc50afb451)
@@ -225,4 +769,20 @@
 
 	* configure.ac: Add libmisc/fsmount/Makefile.
+
+2003-07-18	Till Straumann <strauman@slac.stanford.edu>
+
+	PR 430/rtems
+	* score/include/rtems/score/watchdog.h: _Watchdog_Ticks_since_boot
+	should be a VOLATILE variable.
+	* score/src/watchdoginsert.c: 'restart' algorithm needs to enforce
+	reloading the list head in case a TICK interrupt during ISR_Flash()
+	modified the list.  This is achieved by a proper VOLATILE cast. Also
+	_Watchdog_Sync_count++ should be protected by _ISR_Disable (prevent
+	corruption in case ISR calls watchdoginsert).
+	* score/src/watchdogadjust.c: ISR protection added.
+	* score/src/watchdogtickle.c: ISR protection added. NOTE: PowerPC BSPs
+	using the new exception processing MUST BE UPDATED to maintain
+	_ISR_Nest_level. See also PR288 which provides fixes for the affected
+	BSPs distributed with RTEMS.
 
 2003-07-15	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
@@ -251,8 +811,39 @@
 	* configure.ac: Merge-in ada/configure.ac.
 	* Makefile.am: Add ada to SUBDIRS.
+	* itron/configure.ac: Remove (Merged-in into ../configure.ac).
+	* itron/Makefile.am: Reflect having merged configure.ac into
+	../configure.ac.
+	* itron/src/config.h: New.
+	* posix/configure.ac: Remove (Merged-in into ../configure.ac).
+	* posix/Makefile.am: Reflect having merged configure.ac into
+	../configure.ac.
+	* posix/src/config.h: New.
+	* score/cpu/Makefile.am: Add DIST_SUBDIRS = $(RTEMS_CPU).
+
+2003-07-07	Joel Sherrill <joel@OARcorp.com>
+
+	PR 417/rtems
+	* score/src/coresemsurrender.c: Correct incorrect check for
+	maximum_count reported by Sergei Organov <osv@topconrd.ru>.
 
 2003-07-03	Joel Sherrill <joel@OARcorp.com>
 
 	* aclocal/version.m4: Updated to rtems-ss-20030703.
+
+2003-06-13	Joel Sherrill <joel@OARcorp.com>
+
+	* score/src/threadloadenv.c: Removed warnings.
+
+2003-06-12	Joel Sherrill <joel@OARcorp.com>
+
+	* score/src/objectmp.c: Removed warnings.
+	* rtems/include/rtems/rtems/msgmp.h, rtems/include/rtems/rtems/partmp.h,
+	rtems/include/rtems/rtems/regionmp.h, rtems/include/rtems/rtems/semmp.h,
+	rtems/src/msgmp.c, rtems/src/partmp.c, rtems/src/regionmp.c,
+	rtems/src/semmp.c: Removed warnings.
+
+2003-05-30	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+
+	* rtems/include/rtems/rtems/types.h: Include stdint.h.
 
 2003-05-27	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
@@ -265,4 +856,7 @@
 	* automake/compile.am: Ditto.
 	* automake/local.am: Ditto.
+	PR 409:
+	* rtems/include/rtems/rtems/types.h: Include rtems/stdint.h. Apply
+	c99-types to typedef rtems_[un]signed[8|16|32|64].
 
 2003-05-14	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
@@ -286,4 +880,12 @@
 	* aclocal/version.m4: Updated to rtems-ss-20030411.
 	* aclocal/version.m4: Updated to rtems-ss-20020411.
+
+2003-03-18	Till Straumann <strauman@slac.stanford.edu>
+
+	PR 356/bsps
+	* score/src/threadhandlerc: This patch makes RTEMS/PowerPC eabi
+	compliant. Let Thread_Handler verify that _init/_main are non-NULL
+	before calling them (gives the linker script/user more freedom to handle
+	special cases).
 
 2003-03-12	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
@@ -308,4 +910,15 @@
 	* configure.ac: AC_PREREQ(2.57).
 	* configure.ac: Remove sptables.h.in.
+	* itron/configure.ac: Remove AC_CONFIG_AUX_DIR.
+	* sapi/Makefile.am: Remove stray reference to sptables.h.in.
+	* sapi/include/rtems/sptables.h.in: Remove.
+	* sapi/include/rtems/sptables.h: New.
+	* sapi/include/.cvsignore: Remove.
+	* sapi/include/rtems/.cvsignore: Remove.
+	* sapi/inline/.cvsignore: Remove.
+	* sapi/inline/rtems/.cvsignore: Remove.
+	* sapi/macros/.cvsignore: Remove.
+	* sapi/macros/rtems/.cvsignore: Remove.
+	* sapi/src/.cvsignore: Remove.
 
 2003-02-28	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
@@ -313,4 +926,6 @@
 	* configure.ac: Remove AC_SUBST(RTEMS_VERSION). AC_DEFINE(RTEMS_VERSION)
 	to propagate it through cpuopts.h.
+	* sapi/include/rtems/sptables.h.in: Remove RTEMS_VERSION (Moved to
+	cpuopts.h).
 
 2003-02-26	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
@@ -331,11 +946,43 @@
 	* aclocal/env-rtemsbsp.m4: Remove GCC_SPECS.
 
+2003-02-14	Joel Sherrill <joel@OARcorp.com>
+
+	AMD a29k declared obsolete.
+	* score/cpu/Makefile.am: Removed reference.
+	* score/cpu/a29k/.cvsignore, score/cpu/a29k/ChangeLog,
+	score/cpu/a29k/Makefile.am, score/cpu/a29k/amd.ah, score/cpu/a29k/asm.h,
+	score/cpu/a29k/configure.ac, score/cpu/a29k/cpu.c,
+	score/cpu/a29k/cpu_asm.S, score/cpu/a29k/pswmacro.ah,
+	score/cpu/a29k/register.ah, score/cpu/a29k/sig.S,
+	score/cpu/a29k/rtems/.cvsignore, score/cpu/a29k/rtems/score/.cvsignore,
+	score/cpu/a29k/rtems/score/a29k.h, score/cpu/a29k/rtems/score/cpu.h,
+	score/cpu/a29k/rtems/score/cpu_asm.h,
+	score/cpu/a29k/rtems/score/types.h: Removed.
+
 2003-02-12	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
 
 	* aclocal/canonical-target-name.m4: Transform tic4x -> RTEMS_CPU=c4x.
 
+2003-02-11	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+
+	* itron/configure.ac: AM_INIT_AUTOMAKE([1.7.2]).
+	* itron/configure.ac: AC_PREREQ(2.57).
+	* posix/configure.ac: AM_INIT_AUTOMAKE([1.7.2]).
+	* posix/configure.ac: AC_PREREQ(2.57).
+
+2003-02-03	Joel Sherrill <joel@OARcorp.com>
+
+	PR 338/filesystem
+	* sapi/include/rtems/io.h, sapi/src/io.c: Side-effect of fixing
+	reentrancy problem with rtems_io_lookup_name() (API change).
+
 2003-01-28	Joel Sherrill <joel@OARcorp.com>
 
 	* aclocal/version.m4: Updated to rtems-ss-20030128.
+
+2003-01-27	Juan Zamorano <jzamora@fi.upm.es>
+
+	* posix/src/ptimer1.c: Correct problem which could lead to overflow in
+	time math.
 
 2003-01-23	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
@@ -347,4 +994,22 @@
 	* automake/compile.am: Remove CLEAN_DEPEND (Unused).  Remove
 	CLOBBER_DEPEND (Unused).
+
+2003-01-10	Joel Sherrill <joel@OARcorp.com>
+
+	* score/src/objectmp.c: Corrected use of name parameter to reflect that
+	it is actually the name not a pointer to the name.
+	* rtems/src/msg.c, rtems/src/part.c, rtems/src/sem.c, rtems/src/tasks.c:
+	Correct object class control structure initialization for
+	multiprocessing configurations.
+
+2003-01-03	Joel Sherrill <joel@OARcorp.com>
+
+	* posix/ChangeLog: Corrected entry for sysconf.c which did not include
+	PR.
+
+2003-01-03	Jay Monkman <jtm@smoothsmoothie.com>
+
+	* posix/src/mqueueopen.c: Actually open the message queue descriptor so
+	it is available for others to use.
 
 2002-12-19	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
@@ -367,4 +1032,15 @@
 	* wrapup/Makefile.am: Add libmisc.
 	* configure.ac: Add AC_CONFIG_SUBDIR(libmisc).
+	* itron/Makefile.am: Don't create $ARCH as side-effect of compilation.
+	* posix/Makefile.am: Don't create $ARCH as side-effect of compilation.
+	* score/Makefile.am: Don't create $ARCH.
+	* sapi/Makefile.am: Don't create $ARCH as side-effect of compilation.
+	* rtems/Makefile.am: Don't create $ARCH as side-effect of compilation.
+	Re-order all-local.
+
+2002-12-11	Vladimir Nesic <vnesic@dkts.co.yu>
+
+	* posix/src/cancelrun.c, posix/src/cleanuppop.c: Get the last real node
+	not the permanent null last node.
 
 2002-12-09	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
@@ -384,4 +1060,39 @@
 	* wrapup/Makefile.am: Reflect changes to posix/. Reflect changes to
 	itron/.
+	* itron/include/Makefile.am: Remove.
+	* itron/inline/Makefile.am: Remove.
+	* itron/macros/Makefile.am: Remove.
+	* itron/src/Makefile.am: Remove.
+	* itron/Makefile.am: Merge-in removed Makefile.ams.
+	* itron/configure.ac: Reflect changes above.
+	* posix/include/Makefile.am: Remove.
+	* posix/inline/Makefile.am: Remove.
+	* posix/macros/Makefile.am: Remove.
+	* posix/src/Makefile.am: Remove.
+	* posix/Makefile.am: Merge-in removed Makefile.ams.
+	* posix/configure.ac: Reflect changes above.
+	* score/Makefile.am: Fix macro-file installation.
+	* score/Makefile.am: Move include/rtems/score/cpuopts.h to STD_H_FILES.
+	* score/include/Makefile.am: Remove.
+	* score/inline/Makefile.am: Remove.
+	* score/macros/Makefile.am: Remove.
+	* score/src/Makefile.am: Remove.
+	* score/Makefile.am: Merge-in removed Makefile.ams.
+	* sapi/include/Makefile.am: Remove.
+	* sapi/inline/Makefile.am: Remove.
+	* sapi/macros/Makefile.am: Remove.
+	* sapi/src/Makefile.am: Remove.
+	* sapi/Makefile.am: Merge-in removed Makefile.ams.
+	* rtems/include/Makefile.am: Remove.
+	* rtems/inline/Makefile.am: Remove.
+	* rtems/macros/Makefile.am: Remove.
+	* rtems/src/Makefile.am: Remove.
+	* rtems/Makefile.am: Merge-in removed Makefile.ams.
+
+2002-12-06	Vladimir Nesic <vnesic@dkts.co.yu>
+
+	* posix/inline/rtems/posix/cond.inl, posix/macros/rtems/posix/cond.inl:
+	Implemented PTHREAD_COND_INITIALIZER support.  Vladimir implemented the
+	inline version and Joel adapted it to the macro version.
 
 2002-12-06	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
@@ -398,4 +1109,21 @@
 	* aclocal/rtems-flags.m4: New.
 
+2002-12-02	Joel Sherrill <joel@OARcorp.com>
+
+	* posix/include/rtems/posix/timer.h, posix/src/keygetspecific.c,
+	posix/src/posixtimespecsubtract.c, posix/src/ptimer1.c,
+	posix/src/semunlink.c: Added casts to eliminate warnings on 16-bit
+	targets like the h8300.
+	* score/include/rtems/score/object.h, score/include/rtems/score/tod.h:
+	Added casts to eliminate warnings on 16 bit targets like the h8300.
+	* rtems/include/rtems/rtems/support.h: Added casts to eliminate warnings
+	on 16 bit targets like the h8300.
+
+2002-11-29	Eric Norum <eric.norum@usask.ca>
+
+	* posix/src/sysconf.c: Add support for _SC_GETPW_R_SIZE_MAX. Return
+	error rather than panic if argument is unsupported. This was tracked as
+	PR316.
+
 2002-11-19	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
 
@@ -403,4 +1131,8 @@
 	* aclocal/sysv-ipc.m4: Adaptation to autoconf-2.5x.
 	* aclocal/check-newlib.m4: Sync with ../aclocal/check-newlib.m4.
+	* itron/configure.ac: Cosmetical fixes.
+	* itron/configure.ac: Fix package name.
+	* posix/configure.ac: Cosmetical fixes.
+	* posix/configure.ac: Fix package name.
 
 2002-11-18	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
@@ -420,4 +1152,14 @@
 	CFLAGS_DEFAULT.
 
+2002-11-14	Joel Sherrill <joel@OARcorp.com>
+
+	* score/macros/rtems/score/object.inl: Keep consistent with inline
+	version.
+
+2002-11-13	Paul Whitfield <paulw@microsol.iinet.net.au>
+
+	* rtems/src/regionreturnsegment.c: When RTEMS_REGION_SHRED_ON_FREE is
+	set, there should have been an & in front of size.
+
 2002-11-11	Joel Sherrill <joel@OARcorp.com>
 
@@ -428,4 +1170,11 @@
 
 	* ChangeLog: Corrected.
+	* posix/ChangeLog: Corrected.
+
+2002-10-31	Joel Sherrill <joel@OARcorp.com>
+
+	* score/src/heapgetinfo.c: Fixed comment.
+	* score/src/mpci.c: Removed warning.
+	* rtems/src/regiongetinfo.c: Corrected return value check.
 
 2002-10-30	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
@@ -437,4 +1186,7 @@
 	* include/rtems/bspIo.h: Add vprintk function for kernel printing from
 	routines which have already obtained the va_list pointer.
+	* posix/src/psignal.c: Fix counting problem which resulted in too many
+	entries being in the POSIX signals default behavior table.
+	* posix/src/psignal.c: Reflect changes to signal names in newlib.
 
 2002-10-29	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
@@ -442,11 +1194,21 @@
 	* aclocal/multilib.m4: Remove RTEMS_ENABLE_MULTILIB_MASTER.
 
+2002-10-28	Joel Sherrill <joel@OARcorp.com>
+
+	* score/src/threadhandler.c: Prototype _init() and _main() if they are
+	needed to avoid a warning.
+	* rtems/src/timerserver.c: Add useless return to avoid warning.
+
 2002-10-25	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
 
 	* configure.ac: Add nostdinc to AM_INIT_AUTOMAKE.
+	* itron/configure.ac: Add nostdinc to AM_INIT_AUTOMAKE.
+	* posix/configure.ac: Add nostdinc to AM_INIT_AUTOMAKE.
 
 2002-10-21	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
 
 	* .cvsignore: Reformat. Add autom4te*cache. Remove autom4te.cache.
+	* itron/.cvsignore: Reformat. Add autom4te*cache. Remove autom4te.cache.
+	* posix/.cvsignore: Reformat. Add autom4te*cache. Remove autom4te.cache.
 
 2002-10-21	Joel Sherrill <joel@OARcorp.com>
@@ -462,4 +1224,20 @@
 	* aclocal/version.m4: Updated to rtems-JUNK.
 	* aclocal/version.m4: Updated to rtems-ss-20021004.
+
+2002-09-14	Joel Sherrill <joel@OARcorp.com>
+
+	* posix/src/psignal.c: Remove duplication from rtems/posix/psignal.h.
+	* rtems/src/dpmemcreate.c, rtems/src/dpmemident.c,
+	rtems/src/msgqcreate.c, rtems/src/msgqident.c, rtems/src/partcreate.c,
+	rtems/src/partident.c, rtems/src/ratemoncreate.c,
+	rtems/src/ratemonident.c, rtems/src/regioncreate.c,
+	rtems/src/regionident.c, rtems/src/semcreate.c, rtems/src/semident.c,
+	rtems/src/taskcreate.c, rtems/src/taskident.c, rtems/src/timercreate.c,
+	rtems/src/timerident.c: Added casts to Objects_Name to eliminate
+	warnings.
+
+2002-08-30	Joel Sherrill <joel@OARcorp.com>
+
+	* sapi/src/io.c: Fixed some spacing.
 
 2002-08-22	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
@@ -472,7 +1250,23 @@
 	* configure.ac: Add ada subdir handling.
 
+2002-08-21	Joel Sherrill <joel@OARcorp.com>
+
+	* posix/src/adjtime.c: New file -- adjtime() support required by the
+	Network Time Protocol (NTP) port to RTEMS.
+	* posix/src/Makefile.am: Modified to reflect above.
+
 2002-08-20	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
 
 	* aclocal/bsp-alias.m4: Remove.
+
+2002-08-14	Joel Sherrill <joel@OARcorp.com>
+
+	* score/macros/rtems/score/coremsg.inl: Add <string.h> to remove warning.
+	* score/src/threadidlebody.c: Add return 0 to avoid warning.
+
+2002-08-09	Joel Sherrill <joel@OARcorp.com>
+
+	* posix/src/cancelrun.c: Remove check for PTHREAD_CANCELED not being
+	defined to ensure that newlib patch includes it.
 
 2002-08-07	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
@@ -488,4 +1282,10 @@
 	* aclocal/version.m4: Updated to rtems-ss-20020807.
 
+2002-08-07	Chris Johns <ccj@acm.org>
+
+	* score/src/coretodset.c: Correct calculation of ticks until next
+	section boundary.  It was incorrectly based upon current time not the
+	time that is being set.
+
 2002-08-06	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
 
@@ -502,4 +1302,6 @@
 	* wrapup/Makefile.am: Use librtems.a.
 	* wrapup/Makefile.am: Use libsapi.a.
+	* sapi/src/Makefile.am: Add libsapi.a.
+	* rtems/src/Makefile.am: Add librtems.a.
 
 2002-07-31	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
@@ -512,4 +1314,6 @@
 	compose PROJECT_TOPdir (Fixes hppa1.1/genoffset problem).
 	* wrapup/Makefile.am: LIBBLOCK_OBJS = ../libblock/$(ARCH)/libblock.a.
+	* posix/src/mqueuecreatesupp.c: #include <stdlib.h> (malloc).
+	* score/src/Makefile.am: Build into libscore.a.
 
 2002-07-31	Joel Sherrill <joel@OARcorp.com>
@@ -537,4 +1341,17 @@
 	references to bsp_specs. Use project_libdir instead of
 	$(PROJECT_RELEASE)/lib.
+	* itron/src/Makefile.am: Use .$(OBJEXT) instead of .o.
+	* itron/src/Makefile.am: Use AM_CPPFLAGS instead of INCLUDES.
+	* posix/src/Makefile.am: Use .$(OBJEXT) instead of .o.
+	* posix/src/Makefile.am: Use AM_CPPFLAGS instead of INCLUDES.
+	* score/src/Makefile.am: Use .$(OBJEXT) instead of .o.
+	* sapi/src/Makefile.am: Use .$(OBJEXT) instead of .o.
+	* rtems/src/Makefile.am: Use .$(OBJEXT) instead of .o.
+
+2002-07-22	Joel Sherrill <joel@OARcorp.com>
+
+	* score/include/rtems/score/apimutex.h (_API_Mutex_Lock): Per PR253 add
+	the missing _ISR_Disable.  This fix was already applied to the old
+	location (c/src/exec/score/...).
 
 2002-07-17	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
@@ -543,4 +1360,9 @@
 	* aclocal/check-cpu.m4: Ditto.
 	* aclocal/check-bsps.m4: Ditto.
+
+2002-07-16	Joel Sherrill <joel@OARcorp.com>
+
+	* score/macros/rtems/score/object.inl: Corrected typos in 
+	_Objects_Open, _Objects_Close, and _Objects_Namespace_remove.
 
 2002-07-05	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
@@ -554,4 +1376,30 @@
 	* aclocal/check-bsps.m4: Reflect new RTEMS_TOPdir.
 	* configure.ac: RTEMS_TOP(..).
+	* itron/configure.ac: RTEMS_TOP(../..).
+	* posix/configure.ac: RTEMS_TOP(../..).
+
+2002-07-05	Joel Sherrill <joel@OARcorp.com>
+
+	* posix/include/rtems/posix/cancel.h, posix/src/cancel.c,
+	posix/src/cancelrun.c, posix/src/mqueue.c, posix/src/pthread.c,
+	posix/src/semaphore.c, posix/src/setcancelstate.c,
+	posix/src/setcanceltype.c, posix/src/testcancel.c:  Per PR164, corrected
+	the behavior of thread cancellation and did some cleanup as a
+	side-effect.
+	* score/macros/rtems/score/object.inl: Corrected implementation of
+	_Objects_Open, _Objects_Close, and _Objects_Namespace_remove to be
+	consistent with the inline implementation.
+	* rtems/src/dpmemident.c, rtems/src/msgqident.c, rtems/src/partident.c,
+	rtems/src/ratemonident.c, rtems/src/regionident.c, rtems/src/semident.c,
+	rtems/src/timerident.c: Corrected use of name parameter to  be
+	consistent with fixes implemented to string name processing which were
+	committed with the POSIX Message Queue update.
+
+2002-07-04	Joel Sherrill <joel@OARcorp.com>
+
+	* Jump table for single entry point removed.
+	* sapi/include/rtems/directives.h, sapi/src/entrytable.c: Removed.
+	* sapi/include/Makefile.am, sapi/src/Makefile.am, sapi/src/exinit.c: 
+	Modified to reflect above.
 
 2002-07-01	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
@@ -563,4 +1411,121 @@
 	* aclocal/enable-multiprocessing.m4: Fix typo.
 	* aclocal/prog-cc.m4: Remove obsolete comments. Comment out GCCSED.
+	* itron/configure.ac: Remove RTEMS_PROJECT_ROOT.
+	* posix/configure.ac: Remove RTEMS_PROJECT_ROOT.
+
+2002-07-01	Joel Sherrill <joel@OARcorp.com>
+
+	* Mega patch merge to change the format of the object IDs to loosen the
+	dependency between the SCORE and the various APIs. There was
+	considerable work to simplify the object name management and it appears
+	that the name_table field is no longer needed. This patch also includes
+	the addition of the internal mutex which is currently only used to
+	protect some types of allocation and deallocation.  This significantly
+	can reduce context  switch latency under certain circumstances.  In
+	particular, some heap/region operations were O(n) and had dispatching
+	disabled.  This should help enormously.  With this merge, the patch is
+	not as clean as it should be.  In particular, the documentation has not
+	been modified to reflect the new object ID layout, the IDs in the test
+	screens are not updated, and _Objects_Get_information needs to be a real
+	routine not inlined. As part of this patch a lot of MP code for
+	thread/proxy blocking was made conditional and cleaned up.
+	* itron/src/cre_mbf.c, itron/src/cre_sem.c, itron/src/eventflags.c,
+	itron/src/fmempool.c, itron/src/itronsem.c, itron/src/mbox.c,
+	itron/src/msgbuffer.c, itron/src/port.c, itron/src/task.c,
+	itron/src/vmempool.c:  Modified as part of above.
+	* Mega patch merge to change the format of the object IDs to loosen the
+	dependency between the SCORE and the various APIs. There was
+	considerable work to simplify the object name management and it appears
+	that the name_table field is no longer needed. This patch also includes
+	the addition of the internal mutex which is currently only used to
+	protect some types of allocation and deallocation.  This significantly
+	can reduce context  switch latency under certain circumstances.  In
+	particular, some heap/region operations were O(n) and had dispatching
+	disabled.  This should help enormously.  With this merge, the patch is
+	not as clean as it should be.  In particular, the documentation has not
+	been modified to reflect the new object ID layout, the IDs in the test
+	screens are not updated, and _Objects_Get_information needs to be a real
+	routine not inlined. As part of this patch a lot of MP code for
+	thread/proxy blocking was made conditional and cleaned up.
+	* posix/include/rtems/posix/key.h, posix/src/cond.c,
+	posix/src/condinit.c, posix/src/intr.c, posix/src/key.c,
+	posix/src/keycreate.c, posix/src/keydelete.c, posix/src/killinfo.c,
+	posix/src/mqueue.c, posix/src/mqueuecreatesupp.c, posix/src/mutex.c,
+	posix/src/mutexinit.c, posix/src/psignal.c, posix/src/pthread.c,
+	posix/src/semaphore.c, posix/src/semaphorecreatesupp.c:  Modified as
+	part of above.
+	* Mega patch merge to change the format of the object IDs to loosen the
+	dependency between the SCORE and the various APIs. There was
+	considerable work to simplify the object name management and it appears
+	that the name_table field is no longer needed. This patch also includes
+	the addition of the internal mutex which is currently only used to
+	protect some types of allocation and deallocation.  This significantly
+	can reduce context  switch latency under certain circumstances.  In
+	particular, some heap/region operations were O(n) and had dispatching
+	disabled.  This should help enormously.  With this merge, the patch is
+	not as clean as it should be.  In particular, the documentation has not
+	been modified to reflect the new object ID layout, the IDs in the test
+	screens are not updated, and _Objects_Get_information needs to be a real
+	routine not inlined. As part of this patch a lot of MP code for
+	thread/proxy blocking was made conditional and cleaned up.
+	* score/include/Makefile.am, score/include/rtems/score/coremsg.h,
+	score/include/rtems/score/coremutex.h,
+	score/include/rtems/score/coresem.h, score/include/rtems/score/object.h,
+	score/include/rtems/score/threadq.h,
+	score/inline/rtems/score/object.inl,
+	score/inline/rtems/score/thread.inl,
+	score/macros/rtems/score/object.inl, score/src/Makefile.am,
+	score/src/coremsg.c, score/src/coremutex.c, score/src/coresem.c,
+	score/src/mpci.c, score/src/objectcomparenameraw.c,
+	score/src/objectextendinformation.c,
+	score/src/objectinitializeinformation.c, score/src/objectnametoid.c,
+	score/src/thread.c, score/src/threadclose.c, score/src/threadget.c,
+	score/src/threadq.c, score/src/threadqextractwithproxy.c: Modified as
+	part of above.
+	* score/include/rtems/score/apimutex.h,
+	score/src/objectgetnoprotection.c: New files.
+	* Mega patch merge to change the format of the object IDs to loosen the
+	dependency between the SCORE and the various APIs. There was
+	considerable work to simplify the object name management and it appears
+	that the name_table field is no longer needed. This patch also includes
+	the addition of the internal mutex which is currently only used to
+	protect some types of allocation and deallocation.  This significantly
+	can reduce context  switch latency under certain circumstances.  In
+	particular, some heap/region operations were O(n) and had dispatching
+	disabled.  This should help enormously.  With this merge, the patch is
+	not as clean as it should be.  In particular, the documentation has not
+	been modified to reflect the new object ID layout, the IDs in the test
+	screens are not updated, and _Objects_Get_information needs to be a real
+	routine not inlined. As part of this patch a lot of MP code for
+	thread/proxy blocking was made conditional and cleaned up.
+	* sapi/include/confdefs.h, sapi/src/exinit.c, sapi/src/extension.c,
+	sapi/src/itronapi.c, sapi/src/posixapi.c, sapi/src/rtemsapi.c:  Modified
+	as part of above.
+	* Mega patch merge to change the format of the object IDs to loosen the
+	dependency between the SCORE and the various APIs. There was
+	considerable work to simplify the object name management and it appears
+	that the name_table field is no longer needed. This patch also includes
+	the addition of the internal mutex which is currently only used to
+	protect some types of allocation and deallocation.  This significantly
+	can reduce context  switch latency under certain circumstances.  In
+	particular, some heap/region operations were O(n) and had dispatching
+	disabled.  This should help enormously.  With this merge, the patch is
+	not as clean as it should be.  In particular, the documentation has not
+	been modified to reflect the new object ID layout, the IDs in the test
+	screens are not updated, and _Objects_Get_information needs to be a real
+	routine not inlined. As part of this patch a lot of MP code for
+	thread/proxy blocking was made conditional and cleaned up.
+	* rtems/include/rtems.h, rtems/inline/rtems/rtems/region.inl,
+	rtems/macros/rtems/rtems/region.inl, rtems/src/dpmem.c,
+	rtems/src/dpmemcreate.c, rtems/src/msg.c, rtems/src/msgqcreate.c,
+	rtems/src/part.c, rtems/src/partcreate.c, rtems/src/ratemon.c,
+	rtems/src/ratemoncreate.c, rtems/src/region.c, rtems/src/regioncreate.c,
+	rtems/src/regiondelete.c, rtems/src/regionextend.c,
+	rtems/src/regiongetinfo.c, rtems/src/regiongetsegment.c,
+	rtems/src/regiongetsegmentsize.c, rtems/src/regionident.c,
+	rtems/src/regionreturnsegment.c, rtems/src/rtemstimer.c,
+	rtems/src/sem.c, rtems/src/semcreate.c, rtems/src/taskcreate.c,
+	rtems/src/taskident.c, rtems/src/tasks.c, rtems/src/timercreate.c:
+	Modified as part of above.
 
 2002-06-27	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
@@ -573,4 +1538,6 @@
 	LINK_LIBS, LINK_OBJS, LINK_FILES.
 	* configure.ac: Use AC_CONFIG_AUX_DIR(..).
+	* itron/configure.ac: Use AC_CONFIG_AUX_DIR(../..). Add AC_PROG_RANLIB.
+	* posix/configure.ac: Use AC_CONFIG_AUX_DIR(../..). Add AC_PROG_RANLIB.
 
 2002-06-26	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
@@ -581,4 +1548,8 @@
 	* aclocal/enable-multiprocessing.m4:  Eliminate
 	RTEMS_HAS_MULTIPROCESSING.
+	* itron/configure.ac: Remove references to RTEMS_BSP.
+	* itron/src/Makefile.am: Add libitron.a.
+	* posix/configure.ac: Remove references to RTEMS_BSP.
+	* posix/src/Makefile.am: Add libposix.a.
 
 2002-06-25	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
@@ -654,4 +1625,16 @@
 	* aclocal/tool-paths.m4: Ditto.
 	* aclocal/version.m4: Ditto.
+	* itron/include/Makefile.am: Include $(top_srcdir)/../automake/*.am.
+	* itron/Makefile.am: Include $(top_srcdir)/../automake/*.am. Use
+	../aclocal.
+	* itron/inline/Makefile.am: Include $(top_srcdir)/../automake/*.am.
+	* itron/macros/Makefile.am: Include $(top_srcdir)/../automake/*.am.
+	* itron/src/Makefile.am: Include $(top_srcdir)/../automake/*.am.
+	* posix/include/Makefile.am: Include $(top_srcdir)/../automake/*.am.
+	* posix/Makefile.am: Include $(top_srcdir)/../automake/*.am. Use
+	../aclocal.
+	* posix/inline/Makefile.am: Include $(top_srcdir)/../automake/*.am.
+	* posix/macros/Makefile.am: Include $(top_srcdir)/../automake/*.am.
+	* posix/src/Makefile.am: Include $(top_srcdir)/../automake/*.am.
 
 2002-06-15	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
@@ -680,11 +1663,82 @@
 	* Makefile.am: Add preinstall-stamp.
 
+2002-05-15	Chris Johns <ccj@acm.org>
+
+	* score/include/rtems/score/thread.h,
+	score/inline/rtems/score/thread.inl, score/src/threaddispatch.c,
+	score/src/threadinitialize.c:  Move the C library re-enterrant support
+	directly into the thread dispatch code. RTEMS needs libc and so
+	requiring libc to use a user extension with its overhead is not the best
+	solution. This patch lowers the overhead to 2 pointer moves.
+
+2002-05-03	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+
+	* score/include/Makefile.am: Work-around to autoconf-2.53 adding
+	PACKAGE_* to autoheaders - sed out *PACKAGE* from cpuopts-tmp.h.
+
+2002-05-03	Ralf Corsepius <corsepiu@faw.uni-ulm.de>	
+
+	* posix/include/sys/utsname.h: Remove.
+	* posix/include/Makefile.am: Reflect changes above.
+	* posix/src/utsname.c: Remove.
+	* posix/src/Makefile.am: Reflect changes above.
+
+2002-04-18	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+
+	* score/include/rtems/system.h: Remove targopts.h.
+
+2002-04-17	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+
+	* score/include/rtems/system.h: Add the sparc to the target supporting
+	multlibs.
+
+2002-04-16	Chris Johns <ccj@acm.org>
+
+	* score/src/threadinitialize.c: Per PR181, clear the array of user
+	extension pointers. This lets user extensions that have hooked the
+	switch handler know if a task has been processed by the user extension
+	before. If a user extension is created after a task is started it may
+	not know it.
+
 2002-04-14	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
 
 	* configure.ac: Remove ENABLE_GCC28.
 
+2002-04-12	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+
+	* score/include/rtems/system.h: Add i386 to multilib-able targets.
+
+2002-04-08	Chris Johns <ccj@acm.org>
+
+	* Per PR142, make task switch extension its own list.
+	* posix/src/pthread.c (_POSIX_Threads_User_extensions): Reflect above.
+	* Per PR141 and PR174, make task switch extension its own list and fix
+	all odd problems introduced by providing macro version.
+	* score/inline/rtems/score/userext.inl: Fix.
+	* Per PR142, make task switch extension its own list.
+	* score/include/rtems/score/userext.h: Reflect above by adding 
+	User_extensions_Switch_control and adding it to User_extenions_Control.
+	* score/inline/rtems/score/userext.inl: Allocate all memory in one chunk
+	to minimize overhead.  Address processing dedicated switch chain.
+	* Per PR142, make task switch extension its own list.
+	* score/include/rtems/score/userext.h: Reflect above by adding 
+	User_extensions_Switch_control and adding it to User_extenions_Control.
+	* score/inline/rtems/score/userext.inl: Allocate all memory in one chunk
+	to minimize overhead.  Address processing dedicated switch chain.
+	* Per PR142, make task switch extension its own list.
+	* rtems/src/tasks.c (_RTEMS_tasks_User_extensions): Reflect above.
+
 2002-04-06	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
 
 	* include/rtems/bspIo.h: Fix cpp-guards, remove references to i386.
+	* posix/src/psignal.c: Include <stdlib.h>.
+
+2002-04-02	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+
+	* posix/src/getegid.c: Remove <errno.h>.
+	* posix/src/geteuid.c: Ditto.
+	* posix/src/getgid.c: Ditto.
+	* posix/src/getuid.c: Ditto.
+	* posix/src/getlogin.c: Move <errno.h>.
 
 2002-03-27	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
